org.eclipse.jgit.transport

## Class HttpTransport

- java.lang.Object
- - org.eclipse.jgit.transport.Transport
  - - org.eclipse.jgit.transport.HttpTransport

Direct Known Subclasses:
  TransportAmazonS3, TransportHttp

    public abstract class HttpTransport
    extends Transport

The base class for transports that use HTTP as underlying protocol. This class allows customizing HTTP connection settings.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.transport.Transport

`Transport.Operation`

### Field Summary

Fields
`protected static HttpConnectionFactory` `connectionFactory` factory for creating HTTP connections

### Fields inherited from class org.eclipse.jgit.transport.Transport

`DEFAULT_FETCH_THIN, DEFAULT_PUSH_THIN, local, REFSPEC_PUSH_ALL, REFSPEC_TAGS, uri`

### Constructor Summary

Constructors
`protected` `HttpTransport(Repository local, URIish uri)` Create a new transport instance.
`protected` `HttpTransport(URIish uri)` Create a minimal HTTP transport instance not tied to a single repository.

### Method Summary

Methods
`static HttpConnectionFactory` `getConnectionFactory()`
`static void` `setConnectionFactory(HttpConnectionFactory cf)` Set the `HttpConnectionFactory` to be used to create new connections

### Methods inherited from class org.eclipse.jgit.transport.Transport

`applyConfig, close, fetch, findRemoteRefUpdatesFor, findRemoteRefUpdatesFor, getCredentialsProvider, getOptionReceivePack, getOptionUploadPack, getPackConfig, getTagOpt, getTimeout, getTransportProtocols, getURI, isCheckFetchedObjects, isDryRun, isFetchThin, isPushThin, isRemoveDeletedRefs, open, open, open, open, open, open, open, openAll, openAll, openAll, openAll, openFetch, openPush, push, push, register, setCheckFetchedObjects, setCredentialsProvider, setDryRun, setFetchThin, setOptionReceivePack, setOptionUploadPack, setPackConfig, setPushThin, setRemoveDeletedRefs, setTagOpt, setTimeout, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connectionFactory

    protected static HttpConnectionFactory connectionFactory

factory for creating HTTP connections

Since:
  3.3

### Constructor Detail

#### HttpTransport

    protected HttpTransport(Repository local,
                 URIish uri)

Create a new transport instance.

Parameters:
  `local` - the repository this instance will fetch into, or push out of. This must be the repository passed to `Transport.open(Repository, URIish)`.
  `uri` - the URI used to access the remote repository. This must be the URI passed to `Transport.open(Repository, URIish)`.

#### HttpTransport

    protected HttpTransport(URIish uri)

Create a minimal HTTP transport instance not tied to a single repository.

Parameters:
  `uri` -

### Method Detail

#### getConnectionFactory

    public static HttpConnectionFactory getConnectionFactory()

Returns:
  the `HttpConnectionFactory` used to create new connections
Since:
  3.3

#### setConnectionFactory

    public static void setConnectionFactory(HttpConnectionFactory cf)

Set the `HttpConnectionFactory` to be used to create new connections

Parameters:
  `cf` -
Since:
  3.3